ClientConnectionPoolDataSource (Apache Derby 10.3 API Documentation)
Keywords: org.apache.derby.jdbc.ClientConnectionPoolDataSource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.jdbc
Class ClientConnectionPoolDataSource

    java.lang.Object
      org.apache.derby.jdbc.ClientBaseDataSource
          org.apache.derby.jdbc.ClientDataSource
              org.apache.derby.jdbc.ClientConnectionPoolDataSource

All Implemented Interfaces:
  javax.sql.ConnectionPoolDataSource, javax.sql.DataSource, javax.naming.Referenceable, java.io.Serializable

public class ClientConnectionPoolDataSource
extends ClientDataSource
implements javax.sql.ConnectionPoolDataSource

ClientConnectionPoolDataSource is a factory for PooledConnection objects. An object that implements this interface will typically be registered with a naming service that is based on the Java Naming and Directory Interface (JNDI). Use ClientConnectionPoolDataSource if your application runs under JDBC3.0 or JDBC2.0, that is, on the following Java Virtual Machines:

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0
- JDBC 2.0 - Java 2 - JDK 1.2,1.3

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `className__`

Fields inherited from class org.apache.derby.jdbc.ClientBaseDataSource
`CLEAR_TEXT_PASSWORD_SECURITY, connectionAttributes, ENCRYPTED_PASSWORD_SECURITY, ENCRYPTED_USER_AND_PASSWORD_SECURITY, propertyDefault_portNumber, propertyDefault_retrieveMessageText, propertyDefault_securityMechanism, propertyDefault_serverName, propertyDefault_traceFileAppend, propertyDefault_traceLevel, propertyDefault_user, securityMechanism, SSL_BASIC, SSL_OFF, SSL_PEER_AUTHENTICATION, STRONG_PASSWORD_SUBSTITUTE_SECURITY, TRACE_ALL, TRACE_CONNECTION_CALLS, TRACE_CONNECTS, TRACE_DIAGNOSTICS, TRACE_DRIVER_CONFIGURATION, TRACE_NONE, TRACE_PARAMETER_META_DATA, TRACE_PROTOCOL_FLOWS, TRACE_RESULT_SET_CALLS, TRACE_RESULT_SET_META_DATA, TRACE_STATEMENT_CALLS, TRACE_XA_CALLS, traceLevel, USER_ONLY_SECURITY`

Constructor Summary
`ClientConnectionPoolDataSource()`

Method Summary
`javax.sql.PooledConnection` | `getPooledConnection()`
`javax.sql.PooledConnection` | `getPooledConnection(java.lang.String user, java.lang.String password)`

Methods inherited from class org.apache.derby.jdbc.ClientDataSource
`getConnection, getConnection`

Methods inherited from class org.apache.derby.jdbc.ClientBaseDataSource
`computeDncLogWriter, getClientSSLMode, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getPassword, getPassword, getPortNumber, getReference, getRetrieveMessageText, getRetrieveMessageText, getSecurityMechanism, getSecurityMechanism, getSecurityMechanism, getServerName, getShutdownDatabase, getSsl, getSSLModeFromString, getTraceDirectory, getTraceDirectory, getTraceFile, getTraceFile, getTraceFileAppend, getTraceFileAppend, getTraceLevel, getTraceLevel, getUpgradedSecurityMechanism, getUser, getUser, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setRetrieveMessageText, setSecurityMechanism, setServerName, setShutdownDatabase, setSsl, setSsl, setTraceDirectory, setTraceFile, setTraceFileAppend, setTraceLevel, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.ConnectionPoolDataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Methods inherited from interface javax.sql.DataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Field Detail

### className__

    public static final java.lang.String className__

See Also:
  Constant Field Values

Constructor Detail

### ClientConnectionPoolDataSource

    public ClientConnectionPoolDataSource()

Method Detail

### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection()
                                                   throws java.sql.SQLException

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection(java.lang.String user,
                                                          java.lang.String password)
                                                   throws java.sql.SQLException

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Wed 2007-08-01 06:53:39-0700, from revision 561794
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.3 API Documentation - Copyright © 2004,2007 The Apache Software Foundation. All Rights Reserved.